# Uses of Class
net.shibboleth.idp.cas.service.ServiceContext

Packages that use ServiceContext
Package
Description
net.shibboleth.idp.cas.proxy.impl
CAS protocol proxy implementations.

## Uses of ServiceContext in net.shibboleth.idp.cas.proxy.impl

Fields in net.shibboleth.idp.cas.proxy.impl with type parameters of type ServiceContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,ServiceContext>`
HttpClientProxyValidator.`serviceCtxLookupFunction`
Looks up a ServiceContext from the profile request context.